/*
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef INCL_TAG_NAMES
#define INCL_TAG_NAMES
/** @cond DEV */

// The class includes the name of the tag that are used into the parser

#include "base/fscapi.h"
#include "syncml/core/core.h"

#define SYNC_ML             "SyncML"
#define SYNC_BODY           "SyncBody"
#define SYNC_HDR            "SyncHdr"
#define SESSION_ID          "SessionID"
#define VER_PROTO           "VerProto"
#define VER_DTD             "VerDTD"
#define MSG_ID              "MsgID"
#define RESP_URI            "RespURI"
#define NO_RESP             "NoResp"
#define NO_RESULTS          "NoResults"
#define ARCHIVE             "Archive"
#define SFT_DEL             "SftDel"
#define SOURCE              "Source"
#define TARGET              "Target"
#define LOC_URI             "LocURI"
#define LOC_NAME            "LocName"
#define ANCHOR              "Anchor"
#define CRED                "Cred"
#define LAST                "Last"
#define NEXT                "Next"
#define NEXT_NONCE          "NextNonce"
#define FREE_MEM            "FreeMem"
#define SHARED_MEM          "SharedMem"
#define FREE_ID             "FreeID"
#define MAX_MEM             "MaxMem"
#define MAX_ID              "MaxID"
#define FORMAT              "Format"
#define TYPE                "Type"
#define MARK                "Mark"
#define VERSIONSTR          "Version"
#define MAX_MESSAGE_SIZE    "MaxMsgSize"
#define MAX_OBJ_SIZE        "MaxObjSize"
#define SIZE                "Size"
#define VERSIONSTR          "Version"
#define DATA                "Data"
#define FINAL_MSG           "Final"
#define NO_RESP             "NoResp"
#define CMD_ID              "CmdID"
#define COMPLEX_DATA        "Data" 
#define MORE_DATA           "MoreData"
#define META                "Meta"
#define STATUS              "Status"
#define MSG_REF             "MsgRef"
#define CMD_REF             "CmdRef"
#define TARGET_REF          "TargetRef"
#define SOURCE_REF          "SourceRef"
#define CHAL                "Chal"
#define CMD                 "Cmd"
#define ADD                 "Add"
#define SYNC                "Sync"
#define REPLACE             "Replace"
#define DEL                 "Delete"
#define MAP                 "Map"
#define MAP_ITEM            "MapItem"
#define COPY                "Copy"
#define ATOMIC              "Atomic"
#define SEQUENCE            "Sequence"
#define LANG                "Lang"
#define GET                 "Get"
#define PUT                 "Put"
#define SUPPORT_NUMBER_OF_CHANGES "SupportNumberOfChanges"
#define NUMBER_OF_CHANGES   "NumberOfChanges"
#define SUPPORT_LARGE_OBJECT "SupportLargeObjs"
#define UTC                 "UTC"
#define DATA_STORE          "DataStore"
#define MAN                 "Man"
#define MOD                 "Mod"
#define OEM                 "OEM"
#define FWV                 "FwV"
#define SWV                 "SwV"
#define HWV                 "HwV"
#define DEV_ID              "DevID"
#define DEV_TYP             "DevTyp"
#define DEV_INF             "DevInf"
#define DISPLAY_NAME        "DisplayName"
#define MAX_GUID_SIZE       "MaxGUIDSize"
#define RX_PREF             "Rx-Pref"
#define TX_PREF             "Tx-Pref"
#define CT_TYPE             "CTType"
#define VER_CT              "VerCT"
#define DS_MEM              "DSMem"
#define SYNC_CAP            "SyncCap"
#define SYNC_TYPE           "SyncType"
#define RX                  "Rx"
#define TX                  "Tx"
#define CT_CAP              "CTCap"
#define EXT                 "Ext"
#define XNAM                "XNam"
#define XVAL                "XVal"
#define RESULTS             "Results"
#define EXEC                "Exec"
#define SEARCH              "Search"
#define TARGET_PARENT       "TargetParent"
#define SOURCE_PARENT       "SourceParent"

// parameters 
#define METINFO             "xmlns=\"syncml:metinf\""
#define DEVINF              "xmlns=\"syncml:devinf\""

// special values
#define DEVINF_URI          "./devinf11"
#define DEVINF_FORMAT       "application/vnd.syncml-devinf+xml"

// Commands
#define ALERT               "Alert"
#define ITEM                "Item"
#define FILTER              "Filter"
#define RECORD              "Record"
#define FIELD               "Field"
#define PROPERTY            "Property"
#define DISPLAY_NAME        "DisplayName"
#define PROP_NAME           "PropName"
#define DATA_TYPE           "DataType"
#define MAX_OCCUR           "MaxOccur"
#define MAX_SIZE            "MaxSize"
#define NO_TRUNCATE         "NoTruncate"
#define PROP_PARAM          "PropParam"
#define PARAM_NAME          "ParamName"
#define VAL_ENUM            "ValEnum"
#define VAL_ENUM            "ValEnum"
#define FILTER_TYPE         "FilterType"

/** @endcond */
#endif






